<?php
 
/**
 * @file
 * List of acceptable PAD File currencies.
 */
function _padfile_currencies_array() {
  static $currencies = array(
    'AED' => 'AED',
    'AFN' => 'AFN',
    'ALL' => 'ALL',
    'AMD' => 'AMD',
    'ANG' => 'ANG',
    'AOA' => 'AOA',
    'ARS' => 'ARS',
    'AUD' => 'AUD',
    'AWG' => 'AWG',
    'AZM' => 'AZM',
    'BAM' => 'BAM',
    'BBD' => 'BBD',
    'BDT' => 'BDT',
    'BGN' => 'BGN',
    'BHD' => 'BHD',
    'BIF' => 'BIF',
    'BMD' => 'BMD',
    'BND' => 'BND',
    'BOB' => 'BOB',
    'BRL' => 'BRL',
    'BSD' => 'BSD',
    'BTN' => 'BTN',
    'BWP' => 'BWP',
    'BYR' => 'BYR',
    'BZD' => 'BZD',
    'CAD' => 'CAD',
    'CDF' => 'CDF',
    'CHF' => 'CHF',
    'CLP' => 'CLP',
    'CNY' => 'CNY',
    'COP' => 'COP',
    'COU' => 'COU',
    'CRC' => 'CRC',
    'CSD' => 'CSD',
    'CZK' => 'CZK',
    'CUP' => 'CUP',
    'CVE' => 'CVE',
    'CYP' => 'CYP',
    'DJF' => 'DJF',
    'DKK' => 'DKK',
    'DOP' => 'DOP',
    'DZD' => 'DZD',
    'EEK' => 'EEK',
    'EGP' => 'EGP',
    'ERN' => 'ERN',
    'ETB' => 'ETB',
    'EUR' => 'EUR (Euro)',
    'FJD' => 'FJD',
    'FKP' => 'FKP',
    'GBP' => 'GBP (Great Britain Pound)',
    'GEL' => 'GEL',
    'GHC' => 'GHC',
    'GIP' => 'GIP',
    'GMD' => 'GMD',
    'GNF' => 'GNF',
    'GTQ' => 'GTQ',
    'GYD' => 'GYD',
    'HKD' => 'HKD',
    'HNL' => 'HNL',
    'HRK' => 'HRK',
    'HTG' => 'HTG',
    'HUF' => 'HUF',
    'IDR' => 'IDR',
    'ILS' => 'ILS',
    'INR' => 'INR',
    'IQD' => 'IQD',
    'IRR' => 'IRR',
    'ISK' => 'ISK',
    'JMD' => 'JMD',
    'JOD' => 'JOD',
    'JPY' => 'JPY',
    'KES' => 'KES',
    'KGS' => 'KGS',
    'KHR' => 'KHR',
    'KMF' => 'KMF',
    'KPW' => 'KPW',
    'KRW' => 'KRW',
    'KWD' => 'KWD',
    'KYD' => 'KYD',
    'KZT' => 'KZT',
    'LAK' => 'LAK',
    'LBP' => 'LBP',
    'LKR' => 'LKR',
    'LRD' => 'LRD',
    'LSL' => 'LSL',
    'LTL' => 'LTL',
    'LVL' => 'LVL',
    'LYD' => 'LYD',
    'MAD' => 'MAD',
    'MDL' => 'MDL',
    'MGA' => 'MGA',
    'MKD' => 'MKD',
    'MMK' => 'MMK',
    'MNT' => 'MNT',
    'MOP' => 'MOP',
    'MRO' => 'MRO',
    'MTL' => 'MTL',
    'MUR' => 'MUR',
    'MVR' => 'MVR',
    'MWK' => 'MWK',
    'MXN' => 'MXN',
    'MYR' => 'MYR',
    'MZN' => 'MZN',
    'NAD' => 'NAD',
    'NGN' => 'NGN',
    'NIO' => 'NIO',
    'NOK' => 'NOK',
    'NPR' => 'NPR',
    'NZD' => 'NZD',
    'OMR' => 'OMR',
    'PAB' => 'PAB',
    'PEN' => 'PEN',
    'PGK' => 'PGK',
    'PHP' => 'PHP',
    'PKR' => 'PKR',
    'PLN' => 'PLN',
    'PYG' => 'PYG',
    'QAR' => 'QAR',
    'RON' => 'RON',
    'RUB' => 'RUB',
    'RWF' => 'RWF',
    'SAR' => 'SAR',
    'SBD' => 'SBD',
    'SCR' => 'SCR',
    'SDD' => 'SDD',
    'SEK' => 'SEK',
    'SGD' => 'SGD',
    'SHP' => 'SHP',
    'SIT' => 'SIT',
    'SKK' => 'SKK',
    'SLL' => 'SLL',
    'SOS' => 'SOS',
    'SRD' => 'SRD',
    'STD' => 'STD',
    'SYP' => 'SYP',
    'SZL' => 'SZL',
    'THB' => 'THB',
    'TJS' => 'TJS',
    'TMM' => 'TMM',
    'TND' => 'TND',
    'TOP' => 'TOP',
    'TRY' => 'TRY',
    'TTD' => 'TTD',
    'TWD' => 'TWD',
    'TZS' => 'TZS',
    'UAH' => 'UAH',
    'UGX' => 'UGX',
    'USD' => 'USD (US Dollars)',
    'UYU' => 'UYU',
    'UZS' => 'UZS',
    'VEB' => 'VEB',
    'VND' => 'VND',
    'VUV' => 'VUV',
    'WST' => 'WST',
    'XAF' => 'XAF',
    'XCD' => 'XCD',
    'XOF' => 'XOF',
    'XPF' => 'XPF',
    'YER' => 'YER',
    'ZAR' => 'ZAR',
    'ZMK' => 'ZMK',
    'ZWD' => 'ZWD',
  );

  return $currencies;
}

