<?php

/**
 * @file
 * Definitions of the fields available to the views.
 */

/**
 * Implementation of hook_views_handlers().
 */
function padfile_views_views_handlers() {
  return array(
    'handlers' => array(
      'padfile_views_handler_field' => array(
        'parent' => 'views_handler_field',
      ),
      'padfile_views_handler_field_active' => array(
        'parent' => 'padfile_views_handler_field',
      ),
      'padfile_views_handler_field_icon' => array(
        'parent' => 'padfile_views_handler_field',
      ),
      'padfile_views_handler_field_screenshot' => array(
        'parent' => 'padfile_views_handler_field_icon',
      ),
      'padfile_views_handler_field_ordering' => array(
        'parent' => 'padfile_views_handler_field',
      ),
      'padfile_views_handler_field_info' => array(
        'parent' => 'padfile_views_handler_field',
      ),
      'padfile_views_handler_field_download_url_primary' => array(
        'parent' => 'padfile_views_handler_field',
      ),
      'padfile_views_handler_field_download_url_secondary' => array(
        'parent' => 'padfile_views_handler_field',
      ),
      'padfile_views_handler_field_download_url_other1' => array(
        'parent' => 'padfile_views_handler_field',
      ),
      'padfile_views_handler_field_download_url_other2' => array(
        'parent' => 'padfile_views_handler_field',
      ),
      'padfile_views_handler_field_author_email' => array(
        'parent' => 'padfile_views_handler_field',
      ),
      'padfile_views_handler_field_contact_email' => array(
        'parent' => 'padfile_views_handler_field',
      ),
      'padfile_views_handler_field_sales_email' => array(
        'parent' => 'padfile_views_handler_field',
      ),
      'padfile_views_handler_field_support_email' => array(
        'parent' => 'padfile_views_handler_field',
      ),
      'padfile_views_handler_field_general_email' => array(
        'parent' => 'padfile_views_handler_field',
      ),
    ),
  );
}

/**
 * Implementation of hook_views_data().
 */
function padfile_views_views_data() {
  $data = array(
    'padfile' => array(
      'table' => array(
        'group' => 'PAD File',
        'base' => array(
          'field' => 'padid',
          'title' => 'PAD File',
          'help' => 'View used to display PAD File information',
        ),
        'join' => array(
          'users' => array(
            'left_field' => 'uid',
            'field' => 'uid',
          ),
        ),
      ),
      'padid' => array(
        'title' => t('Identifier'),
        'help' => t('The unique identifier of the PAD File.'),
        'field' => array(
          'handler' => 'padfile_views_handler_field',
          'click sortable' => TRUE
        ),
        'argument' => array(
          'handler' => 'padfile_views_handler_padid_argument',
          'name field' => 'title',
          'numeric' => TRUE,
          'validate type' => 'padid',
        ),
        'filter' => array(
          'handler' => 'views_handler_filter_numeric',
        ),
        'sort' => array(
          'handler' => 'views_handler_sort',
        ),
      ),
      'uid' => array(
        'title' => t('User identifier'),
        'help' => t('This will display the identifier of the user (uid) who created the PAD File.'),
        'field' => array(
          'click sortable' => TRUE,
        ),
        'argument' => array(
          'numeric' => FALSE,
        ),
        'filter' => array(
          'handler' => 'views_handler_filter_numeric',
        ),
        'sort' => array(
          'handler' => 'views_handler_sort',
        ),
      ),
      'created_on' => array(
        'title' => t('Creation date'),
        'help' => t('This will display the date when the PAD File was created on Drupal.'),
        'field' => array(
          'handler' => 'views_handler_field_date',
          'click sortable' => TRUE,
        ),
        'argument' => array(
          'handler' => 'views_handler_argument_date',
          'numeric' => TRUE,
        ),
        'filter' => array(
          'handler' => 'views_handler_filter_date',
        ),
        'sort' => array(
          'handler' => 'views_handler_sort_date',
        ),
      ),
      'modified_on' => array(
        'title' => t('Last modification date'),
        'help' => t('This will display the date when the PAD File was last modified.'),
        'field' => array(
          'handler' => 'views_handler_field_date',
          'click sortable' => TRUE,
        ),
        'argument' => array(
          'handler' => 'views_handler_argument_date',
          'numeric' => TRUE,
        ),
        'filter' => array(
          'handler' => 'views_handler_filter_date',
        ),
        'sort' => array(
          'handler' => 'views_handler_sort_date',
        ),
      ),
      'active' => array(
        'title' => t('Active status'),
        'help' => t('Either <b>Active</b> or <b>Off</b>.'),
        'field' => array(
          'handler' => 'padfile_views_handler_field_active',
          'click sortable' => TRUE,
        ),
        'argument' => array(
          'name field' => 'title',
          'numeric' => TRUE,
          'validate type' => 'active',
        ),
        'filter' => array(
          'handler' => 'views_handler_filter_numeric',
        ),
        'sort' => array(
          'handler' => 'views_handler_sort',
        ),
      ),
      'download_counter' => array(
        'title' => t('Download counter'),
        'help' => t('The number of time this PAD File was downloaded.'),
        'field' => array(
          'handler' => 'views_handler_field',
          'click sortable' => TRUE
        ),
        'argument' => array(
          'handler' => 'views_handler_argument_numeric',
          'name field' => 'title',
          'numeric' => TRUE,
          'validate type' => 'padid',
        ),
        'filter' => array(
          'handler' => 'views_handler_filter_numeric',
        ),
        'sort' => array(
          'handler' => 'views_handler_sort',
        ),
      ),
      'company_name' => array(
        'title' => t('Company name'),
        'help' => t('The name of the company that owns the product described by the PAD File.'),
        'field' => array(
          'handler' => 'views_handler_field',
          'click sortable' => TRUE
        ),
        'argument' => array(
          'handler' => 'views_handler_argument_string',
          'name field' => 'title',
          'numeric' => TRUE,
          'validate type' => 'padid',
        ),
        'filter' => array(
          'handler' => 'views_handler_filter_string',
        ),
        'sort' => array(
          'handler' => 'views_handler_sort',
        ),
      ),
      'address_1' => array(
        'title' => t('Address 1'),
        'help' => t('The address of the company or author.'),
        'field' => array(
          'handler' => 'views_handler_field',
          'click sortable' => TRUE
        ),
        'argument' => array(
          'handler' => 'views_handler_argument_string',
          'name field' => 'title',
          'numeric' => TRUE,
          'validate type' => 'padid',
        ),
        'filter' => array(
          'handler' => 'views_handler_filter_string',
        ),
        'sort' => array(
          'handler' => 'views_handler_sort',
        ),
      ),
      'address_2' => array(
        'title' => t('Address 2'),
        'help' => t('The address of the company or author.'),
        'field' => array(
          'handler' => 'views_handler_field',
          'click sortable' => TRUE
        ),
        'argument' => array(
          'handler' => 'views_handler_argument_string',
          'name field' => 'title',
          'numeric' => TRUE,
          'validate type' => 'padid',
        ),
        'filter' => array(
          'handler' => 'views_handler_filter_string',
        ),
        'sort' => array(
          'handler' => 'views_handler_sort',
        ),
      ),
      'city_town' => array(
        'title' => t('City/Town'),
        'help' => t('The city or town of the company or author.'),
        'field' => array(
          'handler' => 'views_handler_field',
          'click sortable' => TRUE
        ),
        'argument' => array(
          'handler' => 'views_handler_argument_string',
          'name field' => 'title',
          'numeric' => TRUE,
          'validate type' => 'padid',
        ),
        'filter' => array(
          'handler' => 'views_handler_filter_string',
        ),
        'sort' => array(
          'handler' => 'views_handler_sort',
        ),
      ),
      'state' => array(
        'title' => t('State/Province'),
        'help' => t('The state or province of the company or author.'),
        'field' => array(
          'handler' => 'views_handler_field',
          'click sortable' => TRUE
        ),
        'argument' => array(
          'handler' => 'views_handler_argument_string',
          'name field' => 'title',
          'numeric' => TRUE,
          'validate type' => 'padid',
        ),
        'filter' => array(
          'handler' => 'views_handler_filter_string',
        ),
        'sort' => array(
          'handler' => 'views_handler_sort',
        ),
      ),
      'zip' => array(
        'title' => t('Zip'),
        'help' => t('The zip or postal code of the company or author.'),
        'field' => array(
          'handler' => 'views_handler_field',
          'click sortable' => TRUE
        ),
        'argument' => array(
          'handler' => 'views_handler_argument_string',
          'name field' => 'title',
          'numeric' => TRUE,
          'validate type' => 'padid',
        ),
        'filter' => array(
          'handler' => 'views_handler_filter_string',
        ),
        'sort' => array(
          'handler' => 'views_handler_sort',
        ),
      ),
      'country' => array(
        'title' => t('Country'),
        'help' => t('The country of the company or author.'),
        'field' => array(
          'handler' => 'views_handler_field',
          'click sortable' => TRUE
        ),
        'argument' => array(
          'handler' => 'views_handler_argument_string',
          'name field' => 'title',
          'numeric' => TRUE,
          'validate type' => 'padid',
        ),
        'filter' => array(
          'handler' => 'views_handler_filter_string',
        ),
        'sort' => array(
          'handler' => 'views_handler_sort',
        ),
      ),
      'website' => array(
        'title' => t('Website'),
        'help' => t('The website of the company or author.'),
        'field' => array(
          'handler' => 'padfile_views_handler_field_website',
          'click sortable' => TRUE
        ),
        'argument' => array(
          'handler' => 'views_handler_argument_string',
          'name field' => 'title',
          'numeric' => TRUE,
          'validate type' => 'padid',
        ),
        'filter' => array(
          'handler' => 'views_handler_filter_string',
        ),
        'sort' => array(
          'handler' => 'views_handler_sort',
        ),
      ),
      'author_first_name' => array(
        'title' => t('Author first name'),
        'help' => t('The author first name.'),
        'field' => array(
          'handler' => 'views_handler_field',
          'click sortable' => TRUE
        ),
        'argument' => array(
          'handler' => 'views_handler_argument_string',
          'name field' => 'title',
          'numeric' => TRUE,
          'validate type' => 'padid',
        ),
        'filter' => array(
          'handler' => 'views_handler_filter_string',
        ),
        'sort' => array(
          'handler' => 'views_handler_sort',
        ),
      ),
      'author_last_name' => array(
        'title' => t('Author last name'),
        'help' => t('The author last name.'),
        'field' => array(
          'handler' => 'views_handler_field',
          'click sortable' => TRUE
        ),
        'argument' => array(
          'handler' => 'views_handler_argument_string',
          'name field' => 'title',
          'numeric' => TRUE,
          'validate type' => 'padid',
        ),
        'filter' => array(
          'handler' => 'views_handler_filter_string',
        ),
        'sort' => array(
          'handler' => 'views_handler_sort',
        ),
      ),
      'author_email' => array(
        'title' => t('Author email'),
        'help' => t('The author email address.'),
        'field' => array(
          'handler' => 'padfile_views_handler_field_author_email',
          'click sortable' => TRUE
        ),
        'argument' => array(
          'handler' => 'views_handler_argument_string',
          'name field' => 'title',
          'numeric' => TRUE,
          'validate type' => 'padid',
        ),
        'filter' => array(
          'handler' => 'views_handler_filter_string',
        ),
        'sort' => array(
          'handler' => 'views_handler_sort',
        ),
      ),
      'contact_first_name' => array(
        'title' => t('Contact first name'),
        'help' => t('The contact first name.'),
        'field' => array(
          'handler' => 'views_handler_field',
          'click sortable' => TRUE
        ),
        'argument' => array(
          'handler' => 'views_handler_argument_string',
          'name field' => 'title',
          'numeric' => TRUE,
          'validate type' => 'padid',
        ),
        'filter' => array(
          'handler' => 'views_handler_filter_string',
        ),
        'sort' => array(
          'handler' => 'views_handler_sort',
        ),
      ),
      'contact_last_name' => array(
        'title' => t('Contact last name'),
        'help' => t('The contact last name.'),
        'field' => array(
          'handler' => 'views_handler_field',
          'click sortable' => TRUE
        ),
        'argument' => array(
          'handler' => 'views_handler_argument_string',
          'name field' => 'title',
          'numeric' => TRUE,
          'validate type' => 'padid',
        ),
        'filter' => array(
          'handler' => 'views_handler_filter_string',
        ),
        'sort' => array(
          'handler' => 'views_handler_sort',
        ),
      ),
      'contact_email' => array(
        'title' => t('Contact email'),
        'help' => t('The contact email address.'),
        'field' => array(
          'handler' => 'padfile_views_handler_field_contact_email',
          'click sortable' => TRUE
        ),
        'argument' => array(
          'handler' => 'views_handler_argument_string',
          'name field' => 'title',
          'numeric' => TRUE,
          'validate type' => 'padid',
        ),
        'filter' => array(
          'handler' => 'views_handler_filter_string',
        ),
        'sort' => array(
          'handler' => 'views_handler_sort',
        ),
      ),
      'sales_email' => array(
        'title' => t('Sales email'),
        'help' => t('The sales email address.'),
        'field' => array(
          'handler' => 'padfile_views_handler_field_sales_email',
          'click sortable' => TRUE
        ),
        'argument' => array(
          'handler' => 'views_handler_argument_string',
          'name field' => 'title',
          'numeric' => TRUE,
          'validate type' => 'padid',
        ),
        'filter' => array(
          'handler' => 'views_handler_filter_string',
        ),
        'sort' => array(
          'handler' => 'views_handler_sort',
        ),
      ),
      'support_email' => array(
        'title' => t('Support email'),
        'help' => t('The support email address.'),
        'field' => array(
          'handler' => 'padfile_views_handler_field_support_email',
          'click sortable' => TRUE
        ),
        'argument' => array(
          'handler' => 'views_handler_argument_string',
          'name field' => 'title',
          'numeric' => TRUE,
          'validate type' => 'padid',
        ),
        'filter' => array(
          'handler' => 'views_handler_filter_string',
        ),
        'sort' => array(
          'handler' => 'views_handler_sort',
        ),
      ),
      'general_email' => array(
        'title' => t('General email'),
        'help' => t('The general email address of the reseller.'),
        'field' => array(
          'handler' => 'padfile_views_handler_field_general_email',
          'click sortable' => TRUE
        ),
        'argument' => array(
          'handler' => 'views_handler_argument_string',
          'name field' => 'title',
          'numeric' => TRUE,
          'validate type' => 'padid',
        ),
        'filter' => array(
          'handler' => 'views_handler_filter_string',
        ),
        'sort' => array(
          'handler' => 'views_handler_sort',
        ),
      ),
      'sales_phone' => array(
        'title' => t('Sales phone'),
        'help' => t('The sales phone number to place an order.'),
        'field' => array(
          'handler' => 'views_handler_field',
          'click sortable' => TRUE
        ),
        'argument' => array(
          'handler' => 'views_handler_argument_string',
          'name field' => 'title',
          'numeric' => TRUE,
          'validate type' => 'padid',
        ),
        'filter' => array(
          'handler' => 'views_handler_filter_string',
        ),
        'sort' => array(
          'handler' => 'views_handler_sort',
        ),
      ),
      'support_phone_number' => array(
        'title' => t('Support phone'),
        'help' => t('The support phone number to call in case you have problem after a purchase.'),
        'field' => array(
          'handler' => 'views_handler_field',
          'click sortable' => TRUE
        ),
        'argument' => array(
          'handler' => 'views_handler_argument_string',
          'name field' => 'title',
          'numeric' => TRUE,
          'validate type' => 'padid',
        ),
        'filter' => array(
          'handler' => 'views_handler_filter_string',
        ),
        'sort' => array(
          'handler' => 'views_handler_sort',
        ),
      ),
      'general_phone' => array(
        'title' => t('General phone'),
        'help' => t('The general phone number to call for enquires not directly related to the product.'),
        'field' => array(
          'handler' => 'views_handler_field',
          'click sortable' => TRUE
        ),
        'argument' => array(
          'handler' => 'views_handler_argument_string',
          'name field' => 'title',
          'numeric' => TRUE,
          'validate type' => 'padid',
        ),
        'filter' => array(
          'handler' => 'views_handler_filter_string',
        ),
        'sort' => array(
          'handler' => 'views_handler_sort',
        ),
      ),
      'fax_phone' => array(
        'title' => t('Fax phone'),
        'help' => t('The phone number to user to send a fax to the product owner.'),
        'field' => array(
          'handler' => 'views_handler_field',
          'click sortable' => TRUE
        ),
        'argument' => array(
          'handler' => 'views_handler_argument_string',
          'name field' => 'title',
          'numeric' => TRUE,
          'validate type' => 'padid',
        ),
        'filter' => array(
          'handler' => 'views_handler_filter_string',
        ),
        'sort' => array(
          'handler' => 'views_handler_sort',
        ),
      ),
      'program_name' => array(
        'title' => t('Program name'),
        'help' => t('The end-user readable name of the program.'),
        'field' => array(
          'handler' => 'views_handler_field',
          'click sortable' => TRUE
        ),
        'argument' => array(
          'handler' => 'views_handler_argument_string',
          'name field' => 'title',
          'numeric' => TRUE,
          'validate type' => 'padid',
        ),
        'filter' => array(
          'handler' => 'views_handler_filter_string',
        ),
        'sort' => array(
          'handler' => 'views_handler_sort',
        ),
      ),
      'version' => array(
        'title' => t('Program version'),
        'help' => t('The current version of the program.'),
        'field' => array(
          'handler' => 'views_handler_field',
          'click sortable' => TRUE
        ),
        'argument' => array(
          'handler' => 'views_handler_argument_string',
          'name field' => 'title',
          'numeric' => TRUE,
          'validate type' => 'padid',
        ),
        'filter' => array(
          'handler' => 'views_handler_filter_string',
        ),
        'sort' => array(
          'handler' => 'views_handler_sort',
        ),
      ),
      'release_date' => array(
        'title' => t('Release date'),
        'help' => t('The date when the program was released to the public.'),
        'field' => array(
          'handler' => 'views_handler_field_date',
          'click sortable' => TRUE
        ),
        'argument' => array(
          'handler' => 'views_handler_argument_date',
          'name field' => 'title',
          'numeric' => TRUE,
          'validate type' => 'padid',
        ),
        'filter' => array(
          'handler' => 'views_handler_filter_date',
        ),
        'sort' => array(
          'handler' => 'views_handler_sort_date',
        ),
      ),
      'currency' => array(
        'title' => t('Currency'),
        'help' => t('The currency used in the specified cost.'),
        'field' => array(
          'handler' => 'views_handler_field',
          'click sortable' => TRUE
        ),
        'argument' => array(
          'handler' => 'views_handler_argument_string',
          'name field' => 'title',
          'numeric' => TRUE,
          'validate type' => 'padid',
        ),
        'filter' => array(
          'handler' => 'views_handler_filter_string',
        ),
        'sort' => array(
          'handler' => 'views_handler_sort',
        ),
      ),
      'cost' => array(
        'title' => t('Cost'),
        'help' => t('The cost if the customer decides to purchase a full license.'),
        'field' => array(
          'handler' => 'views_handler_field',
          'click sortable' => TRUE
        ),
        'argument' => array(
          'handler' => 'views_handler_argument_string',
          'name field' => 'title',
          'numeric' => TRUE,
          'validate type' => 'padid',
        ),
        'filter' => array(
          'handler' => 'views_handler_filter_string',
        ),
        'sort' => array(
          'handler' => 'views_handler_sort',
        ),
      ),
      'type' => array(
        'title' => t('Type'),
        'help' => t('The type of program.'),
        'field' => array(
          'handler' => 'views_handler_field',
          'click sortable' => TRUE
        ),
        'argument' => array(
          'handler' => 'views_handler_argument_string',
          'name field' => 'title',
          'numeric' => TRUE,
          'validate type' => 'padid',
        ),
        'filter' => array(
          'handler' => 'views_handler_filter_string',
        ),
        'sort' => array(
          'handler' => 'views_handler_sort',
        ),
      ),
      'status' => array(
        'title' => t('Status'),
        'help' => t('The status of the program (i.e. Alpha, Beta, Release...)'),
        'field' => array(
          'handler' => 'views_handler_field',
          'click sortable' => TRUE
        ),
        'argument' => array(
          'handler' => 'views_handler_argument_string',
          'name field' => 'title',
          'numeric' => TRUE,
          'validate type' => 'padid',
        ),
        'filter' => array(
          'handler' => 'views_handler_filter_string',
        ),
        'sort' => array(
          'handler' => 'views_handler_sort',
        ),
      ),
      'install_support' => array(
        'title' => t('Install support'),
        'help' => t('The installation methods supported by the program.'),
        'field' => array(
          'handler' => 'views_handler_field',
          'click sortable' => TRUE
        ),
        'argument' => array(
          'handler' => 'views_handler_argument_string',
          'name field' => 'title',
          'numeric' => TRUE,
          'validate type' => 'padid',
        ),
        'filter' => array(
          'handler' => 'views_handler_filter_string',
        ),
        'sort' => array(
          'handler' => 'views_handler_sort',
        ),
      ),
      'operating_systems' => array(
        'title' => t('Operating systems'),
        'help' => t('The different operating systems the program can be used on.'),
        'field' => array(
          'handler' => 'views_handler_field',
          'click sortable' => TRUE
        ),
        'argument' => array(
          'handler' => 'views_handler_argument_string',
          'name field' => 'title',
          'numeric' => TRUE,
          'validate type' => 'padid',
        ),
        'filter' => array(
          'handler' => 'views_handler_filter_string',
        ),
        'sort' => array(
          'handler' => 'views_handler_sort',
        ),
      ),
      'languages' => array(
        'title' => t('Program languages'),
        'help' => t('The languages available in the program while running.'),
        'field' => array(
          'handler' => 'views_handler_field',
          'click sortable' => TRUE
        ),
        'argument' => array(
          'handler' => 'views_handler_argument_string',
          'name field' => 'title',
          'numeric' => TRUE,
          'validate type' => 'padid',
        ),
        'filter' => array(
          'handler' => 'views_handler_filter_string',
        ),
        'sort' => array(
          'handler' => 'views_handler_sort',
        ),
      ),
      'byte_size' => array(
        'title' => t('Size of the installer in bytes'),
        'help' => t('The size of the download file.'),
        'field' => array(
          'handler' => 'views_handler_field',
          'click sortable' => TRUE
        ),
        'argument' => array(
          'handler' => 'views_handler_argument_string',
          'name field' => 'title',
          'numeric' => TRUE,
          'validate type' => 'padid',
        ),
        'filter' => array(
          'handler' => 'views_handler_filter_string',
        ),
        'sort' => array(
          'handler' => 'views_handler_sort',
        ),
      ),
      'expiration_count' => array(
        'title' => t('Expiration count'),
        'help' => t('The number of times or number of days it can be used before expiring.'),
        'field' => array(
          'handler' => 'views_handler_field',
          'click sortable' => TRUE
        ),
        'argument' => array(
          'handler' => 'views_handler_argument_string',
          'name field' => 'title',
          'numeric' => TRUE,
          'validate type' => 'padid',
        ),
        'filter' => array(
          'handler' => 'views_handler_filter_string',
        ),
        'sort' => array(
          'handler' => 'views_handler_sort',
        ),
      ),
      'expiration_base' => array(
        'title' => t('Expiration base'),
        'help' => t('The meaning of the expiration count.'),
        'field' => array(
          'handler' => 'views_handler_field',
          'click sortable' => TRUE
        ),
        'argument' => array(
          'handler' => 'views_handler_argument_string',
          'name field' => 'title',
          'numeric' => TRUE,
          'validate type' => 'padid',
        ),
        'filter' => array(
          'handler' => 'views_handler_filter_string',
        ),
        'sort' => array(
          'handler' => 'views_handler_sort',
        ),
      ),
      'expiration_info' => array(
        'title' => t('Expiration info'),
        'help' => t('The human readable information about the program expiration.'),
        'field' => array(
          'handler' => 'views_handler_field',
          'click sortable' => TRUE
        ),
        'argument' => array(
          'handler' => 'views_handler_argument_string',
          'name field' => 'title',
          'numeric' => TRUE,
          'validate type' => 'padid',
        ),
        'filter' => array(
          'handler' => 'views_handler_filter_string',
        ),
        'sort' => array(
          'handler' => 'views_handler_sort',
        ),
      ),
      'expiration_date' => array(
        'title' => t('Expiration date'),
        'help' => t('The specific date when the program will stop working.'),
        'field' => array(
          'handler' => 'views_handler_field_date',
          'click sortable' => TRUE
        ),
        'argument' => array(
          'handler' => 'views_handler_argument_date',
          'name field' => 'title',
          'numeric' => TRUE,
          'validate type' => 'padid',
        ),
        'filter' => array(
          'handler' => 'views_handler_filter_date',
        ),
        'sort' => array(
          'handler' => 'views_handler_sort_date',
        ),
      ),
      'change_log' => array(
        'title' => t('Change log'),
        'help' => t('Information about the latest changes to program.'),
        'field' => array(
          'handler' => 'views_handler_field',
          'click sortable' => TRUE
        ),
        'argument' => array(
          'handler' => 'views_handler_argument_string',
          'name field' => 'title',
          'numeric' => TRUE,
          'validate type' => 'padid',
        ),
        'filter' => array(
          'handler' => 'views_handler_filter_string',
        ),
        'sort' => array(
          'handler' => 'views_handler_sort',
        ),
      ),
      'category' => array(
        'title' => t('Category'),
        'help' => t('The product categor.'),
        'field' => array(
          'handler' => 'views_handler_field',
          'click sortable' => TRUE
        ),
        'argument' => array(
          'handler' => 'views_handler_argument_string',
          'name field' => 'title',
          'numeric' => TRUE,
          'validate type' => 'padid',
        ),
        'filter' => array(
          'handler' => 'views_handler_filter_string',
        ),
        'sort' => array(
          'handler' => 'views_handler_sort',
        ),
      ),
      'requirements' => array(
        'title' => t('Requirements'),
        'help' => t('Details about what is required to run the software (hard disk space, resolution, number of colors, audio channels, etc.)'),
        'field' => array(
          'handler' => 'views_handler_field',
          'click sortable' => TRUE
        ),
        'argument' => array(
          'handler' => 'views_handler_argument_string',
          'name field' => 'title',
          'numeric' => TRUE,
          'validate type' => 'padid',
        ),
        'filter' => array(
          'handler' => 'views_handler_filter_string',
        ),
        'sort' => array(
          'handler' => 'views_handler_sort',
        ),
      ),
      'info_url' => array(
        'title' => t('Info link'),
        'help' => t('The URL to a page describing the program in details.'),
        'field' => array(
          'handler' => 'padfile_views_handler_field_info',
          'click sortable' => TRUE
        ),
        'argument' => array(
          'handler' => 'views_handler_argument_string',
          'name field' => 'title',
          'numeric' => TRUE,
          'validate type' => 'padid',
        ),
        'filter' => array(
          'handler' => 'views_handler_filter_string',
        ),
        'sort' => array(
          'handler' => 'views_handler_sort',
        ),
      ),
      'ordering_url' => array(
        'title' => t('Ordering link'),
        'help' => t('The URL to a page where customers can order a fully licensed copy of the product.'),
        'field' => array(
          'handler' => 'padfile_views_handler_field_ordering',
          'click sortable' => TRUE
        ),
        'argument' => array(
          'handler' => 'views_handler_argument_string',
          'name field' => 'title',
          'numeric' => TRUE,
          'validate type' => 'padid',
        ),
        'filter' => array(
          'handler' => 'views_handler_filter_string',
        ),
        'sort' => array(
          'handler' => 'views_handler_sort',
        ),
      ),
      'screenshot_url' => array(
        'title' => t('Screenshot'),
        'help' => t('A screenshot of the program interface.'),
        'field' => array(
          'handler' => 'padfile_views_handler_field_screenshot',
        ),
      ),
      'icon_url' => array(
        'title' => t('Icon'),
        'help' => t('The icon of the program.'),
        'field' => array(
          'handler' => 'padfile_views_handler_field_icon',
        ),
      ),
      'padfile_name' => array(
        'title' => t('Filename of the PAD File'),
        'help' => t('The name used to save the padfile on disk and access it on your website.'),
        'field' => array(
          'handler' => 'views_handler_field',
          'click sortable' => TRUE
        ),
        'argument' => array(
          'handler' => 'views_handler_argument_string',
          'name field' => 'title',
          'numeric' => TRUE,
          'validate type' => 'padid',
        ),
        'filter' => array(
          'handler' => 'views_handler_filter_string',
        ),
        'sort' => array(
          'handler' => 'views_handler_sort',
        ),
      ),
      'download_url_primary' => array(
        'title' => t('Download link'),
        'help' => t('Link to primary download site.'),
        'field' => array(
          'handler' => 'padfile_views_handler_field_download_url_primary',
          'click sortable' => TRUE
        ),
        'argument' => array(
          'handler' => 'views_handler_argument_string',
          'name field' => 'title',
          'numeric' => TRUE,
          'validate type' => 'padid',
        ),
        'filter' => array(
          'handler' => 'views_handler_filter_string',
        ),
        'sort' => array(
          'handler' => 'views_handler_sort',
        ),
      ),
      'download_url_secondary' => array(
        'title' => t('Download link, backup 1'),
        'help' => t('Another location where someone can download the program.'),
        'field' => array(
          'handler' => 'padfile_views_handler_field_download_url_secondary',
          'click sortable' => TRUE
        ),
        'argument' => array(
          'handler' => 'views_handler_argument_string',
          'name field' => 'title',
          'numeric' => TRUE,
          'validate type' => 'padid',
        ),
        'filter' => array(
          'handler' => 'views_handler_filter_string',
        ),
        'sort' => array(
          'handler' => 'views_handler_sort',
        ),
      ),
      'download_url_other1' => array(
        'title' => t('Download link, backup 2'),
        'help' => t('Another location where someone can download the program.'),
        'field' => array(
          'handler' => 'padfile_views_handler_field_download_url_other1',
          'click sortable' => TRUE
        ),
        'argument' => array(
          'handler' => 'views_handler_argument_string',
          'name field' => 'title',
          'numeric' => TRUE,
          'validate type' => 'padid',
        ),
        'filter' => array(
          'handler' => 'views_handler_filter_string',
        ),
        'sort' => array(
          'handler' => 'views_handler_sort',
        ),
      ),
      'download_url_other2' => array(
        'title' => t('Download link, backup 3'),
        'help' => t('Another location where someone can download the program.'),
        'field' => array(
          'handler' => 'padfile_views_handler_field_download_url_other2',
          'click sortable' => TRUE
        ),
        'argument' => array(
          'handler' => 'views_handler_argument_string',
          'name field' => 'title',
          'numeric' => TRUE,
          'validate type' => 'padid',
        ),
        'filter' => array(
          'handler' => 'views_handler_filter_string',
        ),
        'sort' => array(
          'handler' => 'views_handler_sort',
        ),
      ),
      'distribution_permissions' => array(
        'title' => t('Distribution permissions'),
        'help' => t('The distribution license/rights that your users have with your program.'),
        'field' => array(
          'handler' => 'views_handler_field',
          'click sortable' => TRUE
        ),
        'argument' => array(
          'handler' => 'views_handler_argument_string',
          'name field' => 'title',
          'numeric' => TRUE,
          'validate type' => 'padid',
        ),
        'filter' => array(
          'handler' => 'views_handler_filter_string',
        ),
        'sort' => array(
          'handler' => 'views_handler_sort',
        ),
      ),
      'eula' => array(
        'title' => t('EULA'),
        'help' => t('The end user license agreement.'),
        'field' => array(
          'handler' => 'views_handler_field',
          'click sortable' => TRUE
        ),
        'argument' => array(
          'handler' => 'views_handler_argument_string',
          'name field' => 'title',
          'numeric' => TRUE,
          'validate type' => 'padid',
        ),
        'filter' => array(
          'handler' => 'views_handler_filter_string',
        ),
        'sort' => array(
          'handler' => 'views_handler_sort',
        ),
      ),
    ),
    'padfile_descriptions' => array(
      'table' => array(
        'group' => 'PAD File',
        'join' => array(
          'padfile' => array(
            'left_field' => 'padid',
            'field' => 'padid',
            'extra' => array(
              array(
                'field' => 'language',
                'value' => 'English',
              ),
            ),
          ),
          'users' => array(
            'left_table' => 'padfile',
            'left_field' => 'padid',
            'field' => 'padid',
            'extra' => array(
              array(
                'field' => 'language',
                'value' => 'English',
              ),
            ),
          ),
        ),
      ),
      'keywords' => array(
        'title' => t('Keywords'),
        'help' => t('The keywords describing this program.'),
        'field' => array(
          'handler' => 'views_handler_field',
          'click sortable' => TRUE
        ),
        'argument' => array(
          'handler' => 'views_handler_argument_string',
          'name field' => 'title',
          'numeric' => TRUE,
          'validate type' => 'padid',
        ),
        'filter' => array(
          'handler' => 'views_handler_filter_string',
        ),
        'sort' => array(
          'handler' => 'views_handler_sort',
        ),
      ),
      'desc45' => array(
        'title' => t('Description (45)'),
        'help' => t('The short description of 45 characters.'),
        'field' => array(
          'handler' => 'views_handler_field',
          'click sortable' => TRUE
        ),
        'argument' => array(
          'handler' => 'views_handler_argument_string',
          'name field' => 'title',
          'numeric' => TRUE,
          'validate type' => 'padid',
        ),
        'filter' => array(
          'handler' => 'views_handler_filter_string',
        ),
        'sort' => array(
          'handler' => 'views_handler_sort',
        ),
      ),
      'desc80' => array(
        'title' => t('Description (80)'),
        'help' => t('The one line description of 80 characters.'),
        'field' => array(
          'handler' => 'views_handler_field',
          'click sortable' => TRUE
        ),
        'argument' => array(
          'handler' => 'views_handler_argument_string',
          'name field' => 'title',
          'numeric' => TRUE,
          'validate type' => 'padid',
        ),
        'filter' => array(
          'handler' => 'views_handler_filter_string',
        ),
        'sort' => array(
          'handler' => 'views_handler_sort',
        ),
      ),
      'desc250' => array(
        'title' => t('Description (250)'),
        'help' => t('The medium description of 250 characters.'),
        'field' => array(
          'handler' => 'views_handler_field',
          'click sortable' => TRUE
        ),
        'argument' => array(
          'handler' => 'views_handler_argument_string',
          'name field' => 'title',
          'numeric' => TRUE,
          'validate type' => 'padid',
        ),
        'filter' => array(
          'handler' => 'views_handler_filter_string',
        ),
        'sort' => array(
          'handler' => 'views_handler_sort',
        ),
      ),
      'desc450' => array(
        'title' => t('Description (450)'),
        'help' => t('The long description of 450 characters.'),
        'field' => array(
          'handler' => 'views_handler_field',
          'click sortable' => TRUE
        ),
        'argument' => array(
          'handler' => 'views_handler_argument_string',
          'name field' => 'title',
          'numeric' => TRUE,
          'validate type' => 'padid',
        ),
        'filter' => array(
          'handler' => 'views_handler_filter_string',
        ),
        'sort' => array(
          'handler' => 'views_handler_sort',
        ),
      ),
      'desc2000' => array(
        'title' => t('Description (2000)'),
        'help' => t('The huge description of up to 2000 characters.'),
        'field' => array(
          'handler' => 'views_handler_field',
          'click sortable' => TRUE
        ),
        'argument' => array(
          'handler' => 'views_handler_argument_string',
          'name field' => 'title',
          'numeric' => TRUE,
          'validate type' => 'padid',
        ),
        'filter' => array(
          'handler' => 'views_handler_filter_string',
        ),
        'sort' => array(
          'handler' => 'views_handler_sort',
        ),
      ),
    ),
    'users' => array(
      'table' => array(
        'join' => array(
          'left_field' => 'uid',
          'field' => 'uid',
        ),
      ),
    ),
  );

  return $data;
}

